Bug 588218 - Feature Request: Allow setting of KRB5_KTNAME for the qpidd init script
Summary: Feature Request: Allow setting of KRB5_KTNAME for the qpidd init script
Status: NEW
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp   
(Show other bugs)
Version: Development
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: mick
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 07:23 UTC by Tim Powers
Modified: 2015-09-07 05:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Powers 2010-05-03 07:23:06 UTC
Currently, qpidd defaults to using /etc/krb5.keytab because KRB5_KTNAME cant be set without editing the init script. The problem is that often a host will have multiple keytabs files other than /etc/krb5.keytab. In this case, it would be nice to use /etc/qpidd.keytab or /etc/qpidd.<hostname>.keytab or some other random filename and location.

Two possible ways of adding this support... 

1. Allow setting the krb5 keytab location in /etc/qpidd.conf (ie krb5-ktname=) and have the c++ broker executable set KRB5_KTNAME.

2. While the init script already looks for /etc/sysconfig/qpidd, the sysconfig file should be added to the qpid-cpp package. Also,  and add a test to see if KRB5_KTNAME is set should be added to the init script. If it exists in /etc/sysconfig/qpidd then set it where qpidd is started by daemon().

Comment 1 Gordon Sim 2010-12-13 17:00:01 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=635585 which is related.


Note You need to log in before you can comment on or make changes to this bug.